#!/bin/sh
#
# Copyright (C) 2017  Patrick McDermott
#
# This file is part of the ProteanOS Archive Manager.
#
# The ProteanOS Archive Manager is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Archive Manager is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Archive Manager.  If not, see
# <http://www.gnu.org/licenses/>.

. ${0%/*}/aux/init.sh
. tap-functions.sh

plan_ 2

case "$("${PRO_ARCHMAN}" -V)" in
	'pro-archman '*) result_ 'ok' -- 'version option output';;
	*) result_ 'not ok' -- 'version option output';;
esac

case "$("${PRO_ARCHMAN}" version)" in
	'pro-archman '*) result_ 'ok' -- 'version command output';;
	*) result_ 'not ok' -- 'version command output';;
esac

:
