# pro-archman
# src/cmd/version.sh
# "version" command
#
# Copyright (C) 2013  Patrick McDermott
#
# This file is part of the ProteanOS Archive Manager.
#
# The ProteanOS Archive Manager is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Archive Manager is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Archive Manager.  If not, see
# <http://www.gnu.org/licenses/>.

cmd_version_main()
{
	printf '%s %s\n' "${PACKAGE}" "${PACKAGE_VERSION}"

	printf "$(get_msg 'cmd_version_copyright')\n" \
		'2012-2015, 2017-2019' 'Patrick McDermott'
}

cmd_version_register()
{
	register_cmd 'version'
}
__init cmd_version_register
